commit:     b4ae38c1b1982e8ff1812c639c785f1835e46d04
Author:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 18 09:08:55 2017 +0000
Commit:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Mon Dec 18 13:11:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4ae38c1

sci-physics/root: set ROOTPATH so that portage finds ROOT, bug 641422

As mentioned in the bug, this is needed for building packages that
depend on ROOT, like sci-physics/{geant-vmc,gentfit,vgm}.

Closes: https://bugs.gentoo.org/641422
Package-Manager: Portage-2.3.18, Repoman-2.3.6

 sci-physics/root/root-6.12.04.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/sci-physics/root/root-6.12.04.ebuild 
b/sci-physics/root/root-6.12.04.ebuild
index a3a12846bd4..4a5da3db24e 100644
--- a/sci-physics/root/root-6.12.04.ebuild
+++ b/sci-physics/root/root-6.12.04.ebuild
@@ -302,6 +302,7 @@ src_install() {
        use emacs && elisp-install ${PN} "${BUILD_DIR}"/root-help.el
 
        echo "PATH=${EPREFIX}/${MY_PREFIX}/bin" > 99root || die
+       echo "ROOTPATH=${EPREFIX}/${MY_PREFIX}/bin" > 99root || die
        echo "LDPATH=${EPREFIX}/${MY_PREFIX}/$(get_libdir)" >> 99root || die
 
        if use pythia8; then

Reply via email to